Loading...
Searching...
No Matches
_ChannelFeatures Struct Reference

## Data Fields

double | angular_second_moment [4]
double | contrast [4]
double | correlation [4]
double | variance_sum_of_squares [4]
double | inverse_difference_moment [4]
double | sum_average [4]
double | sum_variance [4]
double | sum_entropy [4]
double | entropy [4]
double | difference_variance [4]
double | difference_entropy [4]
double | measure_of_correlation_1 [4]
double | measure_of_correlation_2 [4]
double | maximum_correlation_coefficient [4]

## Detailed Description

Definition at line 28 of file feature.h.

## Field Documentation

## angular_second_moment

double _ChannelFeatures::angular_second_moment[4]

Definition at line 31 of file feature.h.

## contrast

double _ChannelFeatures::contrast[4]

Definition at line 32 of file feature.h.

## correlation

double _ChannelFeatures::correlation[4]

Definition at line 33 of file feature.h.

## difference_entropy

double _ChannelFeatures::difference_entropy[4]

Definition at line 41 of file feature.h.

## difference_variance

double _ChannelFeatures::difference_variance[4]

Definition at line 40 of file feature.h.

## entropy

double _ChannelFeatures::entropy[4]

Definition at line 39 of file feature.h.

## inverse_difference_moment

double _ChannelFeatures::inverse_difference_moment[4]

Definition at line 35 of file feature.h.

## maximum_correlation_coefficient

double _ChannelFeatures::maximum_correlation_coefficient[4]

Definition at line 44 of file feature.h.

## measure_of_correlation_1

double _ChannelFeatures::measure_of_correlation_1[4]

Definition at line 42 of file feature.h.

## measure_of_correlation_2

double _ChannelFeatures::measure_of_correlation_2[4]

Definition at line 43 of file feature.h.

## sum_average

double _ChannelFeatures::sum_average[4]

Definition at line 36 of file feature.h.

## sum_entropy

double _ChannelFeatures::sum_entropy[4]

Definition at line 38 of file feature.h.

## sum_variance

double _ChannelFeatures::sum_variance[4]

Definition at line 37 of file feature.h.

## variance_sum_of_squares

double _ChannelFeatures::variance_sum_of_squares[4]

Definition at line 34 of file feature.h.

The documentation for this struct was generated from the following file:

- feature.h